### Function

# GObject type_default_interface_unref

since: 2.4

#### Declaration

    void
    g_type_default_interface_unref (
      GObjectTypeInterface* g_iface
    )

#### Description

Decrements the reference count for the type corresponding to the interface default vtable `g_iface`. If the type is dynamic, then when no one is using the interface and all references have been released, the finalize function for the interface’s default vtable (the `class_finalize` member of `GTypeInfo`) will be called.

Available since: 2.4

#### Parameters

`g_iface`

  Type: `GTypeInterface`

  The default vtable structure for an interface, as returned by `g_type_default_interface_ref()`

  The data is owned by the caller of the function.